/**
 * sampleNode.cs
 *
 * par Alain VIZZINI (http://www.essisharp.ht.st)
 * 2003-01-21
 *
 * illustration des attributs de srialisation XML
 */

using System.Xml.Serialization;
using System;

//le type de la racine
[System.Xml.Serialization.XmlRootAttribute("racine", Namespace="", IsNullable=false)]
public class Personne {
  //classique, on renomme juste
  [System.Xml.Serialization.XmlAttributeAttribute (DataType="string", AttributeName="LeNom")]
  public string nom;

  //idem
  [System.Xml.Serialization.XmlAttributeAttribute (DataType="int", AttributeName="LAge")]
  public int age;

  //c'est priv ces choses l ! pas de srialisation
  [System.Xml.Serialization.XmlIgnoreAttribute ()]
  public string numsecu;

  //un tableau
  [System.Xml.Serialization.XmlElementAttribute ()]
  public Voiture [] tuture;  



  public override string ToString(){
    String rep = nom + ",  " + age + " ans, secu : " + numsecu;
    foreach (Voiture v in tuture)
      rep += "\n\t" + v.ToString();

    return rep;
  }
}

public class Voiture {
  [System.Xml.Serialization.XmlAttributeAttribute (DataType="string")]
  public string plaque;

  public override string ToString(){
    return plaque;
  }
}
