/**
 * sampleNode.cs
 *
 * par Alain VIZZINI (http://www.essisharp.ht.st)
 * 2003-01-21
 *
 * illustration des attributs de srialisation XML
 *
 * compile :
 *   csc /out:sampleAttributes.exe sampleProgram.cs sampleNode.cs
 */

using System;
using System.Xml.Serialization;
using System.IO;


public class XMLAttributes{
  public static void Main (String [] args) {

    XmlSerializer serializer = new XmlSerializer(typeof(Personne));

    //on fait un exemple
    Console.Write ("Gnration de l'exemple ...");
    Personne p1 = new Personne();
    p1.nom = "Alain";
    p1.age = 22;
    p1.numsecu = "1810302...";
    p1.tuture = new Voiture [2];
    Voiture v = new Voiture();
    v.plaque = "123 AXD 06";
    p1.tuture[0] = v;
    v = new Voiture();
    v.plaque = "456 ZW 38";
    p1.tuture[1] = v;
    Console.WriteLine ("done.");
    
    //affichage de l'exemple
    Console.WriteLine ("\n" + p1 + "\n");

    //on srialise
    Console.Write ("Serialisation ...");
    TextWriter writer = new StreamWriter("samplexml.xml");
    serializer.Serialize(writer, p1);
    writer.Close();
    Console.WriteLine ("done.");

    //on dsrialise
    Console.Write ("Deserialisation ...");
    TextReader reader = new StreamReader("samplexml.xml");
    Personne p2 = (Personne)serializer.Deserialize(reader);
    reader.Close();
    Console.WriteLine ("done.");

    //on vrifie
    Console.WriteLine ("\n" + p2 + "\n");
    Console.WriteLine ("Bye ;)");
  }

}
